diff --git a/books/bookvol10.4.pamphlet b/books/bookvol10.4.pamphlet
index dc39a6a..0f48638 100644
--- a/books/bookvol10.4.pamphlet
+++ b/books/bookvol10.4.pamphlet
@@ -128119,7 +128119,8 @@ PseudoRemainderSequence(R, polR) : Specification == Implementation where
     r : R * v : Vector(polR) == r::polR * v
               -- the instruction  map(r * #1, v) is slower !?
 
-    v : Vector(polR) exquo r : R == map((#1 exquo r)::polR, v)
+    v : Vector(polR) exquo r : R == 
+      map((p1:polR):polR +-> (p1 exquo r)::polR, v)
 
     pseudoDivide(P : polR, Q : polR) : 
                                  Record(coef:R,quotient:polR,remainder:polR) ==
diff --git a/changelog b/changelog
index c27d5c6..27446ea 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,5 @@
+20090614 tpd src/axiom-website/patches.html 20090614.05.tpd.patch
+20090614 tpd books/bookvol10.4 PRS +-> conversion
 20090614 tpd src/axiom-website/patches.html 20090614.04.tpd.patch
 20090614 tpd books/bookvol10.4 PSEUDLIN +-> conversion
 20090614 tpd src/axiom-website/patches.html 20090614.03.tpd.patch
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index 942094d..adff9bd 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -1573,5 +1573,7 @@ bookvol10.4 ODEPRIM +-> conversion<br/>
 bookvol10.4 ODPRRIC +-> conversion<br/>
 <a href="patches/20090614.04.tpd.patch">20090614.04.tpd.patch</a>
 bookvol10.4 PSEUDLIN +-> conversion<br/>
+<a href="patches/20090614.05.tpd.patch">20090614.05.tpd.patch</a>
+bookvol10.4 PRS +-> conversion<br/>
  </body>
 </html>
